%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% cop_transform:
%
% Transforms raw copula parameters in the corresponding canonical 
% parameters.
%
% Input:
%
% - x: values of raw copula parameters
%   
% Output:
% 
% - y: transformed copula parameters
%
% Created by: Ricardo Silva, London, 19/03/2012
% University College London
% Current version: 19/03/2012

function y = cop_transform(x, scale)

y = (1 ./ (1 + exp(-x))) * 2 * scale - scale;
